<?php
namespace TotalTheme\Integration\WPBakery;

defined( 'ABSPATH' ) || exit;

final class Disable_About_Screen {

	/**
	 * Our single Disable_About_Screen instance.
	 */
	private static $instance;

	/**
	 * Disable instantiation.
	 */
	private function __construct() {}

	/**
	 * Disable the cloning of this class.
	 *
	 * @return void
	 */
	final public function __clone() {}

	/**
	 * Disable the wakeup of this class.
	 */
	final public function __wakeup() {}

	/**
	 * Create or retrieve the instance of Disable_About_Screen.
	 */
	public static function instance() {
		if ( is_null( static::$instance ) ) {
			static::$instance = new Disable_About_Screen;
			static::$instance->init_hooks();
		}

		return static::$instance;
	}

	/**
	 * Get things started.
	 */
	public function init_hooks() {

		if ( is_admin() ) {
			remove_action( 'vc_activation_hook', 'vc_page_welcome_set_redirect' );
			remove_action( 'init', 'vc_page_welcome_redirect' );
			remove_action( 'admin_init', 'vc_page_welcome_redirect' );
			add_action( 'admin_menu', array( $this, 'remove_admin_menu' ), 999 );
		}

	}

	/**
	 * Remove admin menu.
	 */
	public function remove_admin_menu() {
		remove_submenu_page( 'vc-general', 'vc-welcome' );
	}

}